package com.cku.model;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 
 * <p>Title:EventRelatedModel </p>
 * <p>Description: 赛事列表model</p>
 * <p>Company: </p> 
 * @author zhuoHeng
 * @date 2016年3月15日 下午6:05:26
 */
public class EventRelatedModel {

	//赛事id
	private String id;
	//赛事开始时间
	private Date starting_data;
	//赛事结束时间
	private Date ending_data;
	//赛事名称
	private String show_name;
	//赛事地点
	private String show_location;
	//主赛事名
	private String main_game_name;
	//报名犬只上限
	private String top_dog;
	//报名截止时间
	private String expiry_date;
	//场次信息
	private String shows_detail;
	//赛事城市
	private String show_num;
	
	private Date expiry_time;
	//报名达到上限标识
	private boolean enrollStatus;
	//报名截止标识
	private boolean closingEntries;
	//赛事主办方
	private String organizer;
	//裁判id
	private String cku_caipanid;
	//赛事种类（全犬种、单独展）
	private String showSystem;
	
	private BigDecimal bmFei;
	
	private String gameType;
	//推荐赛事
	private Integer isTop;
	
	private List<CkuImage> ckuImageList;
	
	//推荐赛事信息
	private String topMessage;
	
	public String getTopMessage() {
		return topMessage;
	}
	public void setTopMessage(String topMessage) {
		this.topMessage = topMessage;
	}
	public Integer getIsTop() {
		return isTop;
	}
	public void setIsTop(Integer isTop) {
		this.isTop = isTop;
	}
	
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public Date getStarting_data() {
		return starting_data;
	}
	public void setStarting_data(Date starting_data) {
		this.starting_data = starting_data;
	}
	public Date getEnding_data() {
		return ending_data;
	}
	public void setEnding_data(Date ending_data) {
		this.ending_data = ending_data;
	}
	public String getShow_name() {
		return show_name;
	}
	public void setShow_name(String show_name) {
		this.show_name = show_name;
	}
	public String getShow_location() {
		return show_location;
	}
	public void setShow_location(String show_location) {
		this.show_location = show_location;
	}
	public String getMain_game_name() {
		return main_game_name;
	}
	public void setMain_game_name(String main_game_name) {
		this.main_game_name = main_game_name;
	}
	public String getTop_dog() {
		return top_dog;
	}
	public void setTop_dog(String top_dog) {
		this.top_dog = top_dog;
	}
	public String getExpiry_date() {
		return expiry_date;
	}
	public void setExpiry_date(String expiry_date) {
		this.expiry_date = expiry_date;
	}
	public String getShows_detail() {
		return shows_detail;
	}
	public void setShows_detail(String shows_detail) {
		this.shows_detail = shows_detail;
	}
	public String getShow_num() {
		return show_num;
	}
	public void setShow_num(String show_num) {
		this.show_num = show_num;
	}
	public Date getExpiry_time() {
		return expiry_time;
	}
	public void setExpiry_time(Date expiry_time) {
		this.expiry_time = expiry_time;
	}
	public boolean isEnrollStatus() {
		return enrollStatus;
	}
	public void setEnrollStatus(boolean enrollStatus) {
		this.enrollStatus = enrollStatus;
	}
	public boolean isClosingEntries() {
		return closingEntries;
	}
	public void setClosingEntries(boolean closingEntries) {
		this.closingEntries = closingEntries;
	}
	public String getOrganizer() {
		return organizer;
	}
	public void setOrganizer(String organizer) {
		this.organizer = organizer;
	}
	public BigDecimal getBmFei() {
		return bmFei;
	}
	public void setBmFei(BigDecimal bmFei) {
		this.bmFei = bmFei;
	}
	public List<CkuImage> getCkuImageList() {
		return ckuImageList;
	}
	public void setCkuImageList(List<CkuImage> ckuImageList) {
		this.ckuImageList = ckuImageList;
	}
	public String getCku_caipanid() {
		return cku_caipanid;
	}
	public void setCku_caipanid(String cku_caipanid) {
		this.cku_caipanid = cku_caipanid;
	}
	public String getShowSystem() {
		return showSystem;
	}
	public void setShowSystem(String showSystem) {
		this.showSystem = showSystem;
	}
	public String getGameType() {
		return gameType;
	}
	public void setGameType(String gameType) {
		this.gameType = gameType;
	}
	
	
	
}
